/***************************************************************************
 *   Copyright (C) 2007 by Alex Merry <alex.merry@kdemail.net>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#include "keyboard.h"

#include <QPainter>
#include <QGraphicsSceneMouseEvent>

#include <plasma/svg.h>

Keyboard::Keyboard(QObject *parent, const QVariantList &args)
    : Plasma::Applet(parent, args),
      m_keyboard(new Plasma::Svg("widgets/keyboard")),
      m_size(400, 250)
{
    m_keyboard->resize(m_size);
    //kDebug() << "SVG size: " << m_svg->size();
}

Keyboard::~Keyboard()
{
}

QSizeF Keyboard::contentSizeHint() const
{
    return m_size;
}

void Keyboard::paintInterface(QPainter *p, const QStyleOptionGraphicsItem *option, const QRect &contentsRect)
{
    Q_UNUSED(option)
    m_keyboard->paint(p, contentsRect.topLeft());
}

void Keyboard::mousePressEvent(QGraphicsSceneMouseEvent * event)
{
    event->accept();
}

void Keyboard::mouseReleaseEvent(QGraphicsSceneMouseEvent * event)
{
    QString id = m_keyboard->elementAtPoint(event->pos().toPoint());
    kDebug() << "got key press" << id << "at" << event->pos();
}

#include "keyboard.moc"
